Bug 616807 - RHEL5 VM problems after seabios upgrade
RHEL5 VM problems after seabios upgrade
Product: Fedora
Classification: Fedora
Component: seabios (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-07-21 09:16 EDT by J.H.M. Dassen (Ray)
Modified: 2013-07-03 00:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-06-29 09:11:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J.H.M. Dassen (Ray) 2010-07-21 09:16:40 EDT
Description of problem:

After upgrading seabios this morning, I started to experience hangs of my
RHEL5 VM, at various points (during kernel boot, during udev initialisation,
later on when doing YUM updates from the GUI).

Thinking that I'd messed up my VM image, or that it had somehow become
corrupted, I decided to reinstall it from a RHEL 5.5 DVD image. I tried
several times, but the installation attempts all failed at various points,
never getting past the initial package installs. Looking at "rpm -qa --last"
on my host, the only recent virtualisation-related change I could identify
was an update of seabios.

After downgrading to seabios-bin-0.5.1-2.fc13.noarch.rpm, I was able to
successfully install a RHEL 5 VM again.

Version-Release number of selected component (if applicable):

seabios-bin-0.5.1-3.fc13.noarch . 

How reproducible:


Steps to Reproduce:

I have not identified a reliable reproducer for this issue yet. Presumably,
it's "install a RHEL 5 VM".

Actual results:

RHEL5 VM hangs.

Expected results:

RHEL5 VM functions, i.e. an installation attempt can be completed and the
resulting VM is functioning normally.

Additional info: none. Let me know if there is any I can provide that would be helpful.
Comment 1 Jérôme Audu 2010-08-10 09:17:03 EDT
I "happy" to see that I'm not the only with this issue.
What about your Host?

In my case: Fedora 13 - update-to-date 2010-8-10
            HOST = x86_64 (4 cores)
            4 x Guest = CentOS-5.x

Crash (sometime) during guest boot (Hang)...

reverting to seabios-bin-0.5.1-2.fc13.noarch.rpm fix this issue
Comment 2 J.H.M. Dassen (Ray) 2010-08-10 09:26:39 EDT
(In reply to comment #1)
> What about your Host?

Fedora 13, up to date at the time of reporting. Lenovo Thinkpad X200 system, installed as x86_64, 2 cores (Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz).
Comment 3 Jérôme Audu 2010-08-10 10:13:52 EDT
(In reply to comment #2)
and what about your Guest? Is it also x86_64?

In my case, HOST is x86_64, but Guest are x86 (32bits)
Comment 4 J.H.M. Dassen (Ray) 2010-08-10 11:21:20 EDT
(In reply to comment #3)
> and what about your Guest? Is it also x86_64?

It is, yes.
Comment 5 Jérôme Audu 2010-08-11 04:32:57 EDT
I've just try to rebuild the latest seabios (0.6.0) from koji for F13


and it also seem to fix our RHEL5 guest issue.
Comment 6 Justin M. Forbes 2010-08-11 16:43:47 EDT
Right, we are looking to push this update to Fedora 13 this week along with the qemu 0.12.5 update.
Comment 7 Bug Zapper 2011-06-01 09:17:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2011-06-29 09:11:06 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.